<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <ol id="ol">
      <li>0</li>
      <li>1</li>
      <li>2</li>
    </ol>
    <script>
      ol.before('before'); // вставить строку "before" перед <ol>
      ol.after('after'); // вставить строку "after" после <ol>
      let liFirst = document.createElement('li');
      liFirst.innerHTML = 'prepend';
      ol.prepend(liFirst); // вставить liFirst в начало <ol>
      let liLast = document.createElement('li');
      liLast.innerHTML = 'append';
      ol.append(liLast); // вставить liLast в конец <ol>
    </script>
  </body>
</html>
